package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ESignTemplateFileEntryCollection extends AbstractObjectCollection 
{
    public ESignTemplateFileEntryCollection()
    {
        super(ESignTemplateFileEntryInfo.class);
    }
    public boolean add(ESignTemplateFileEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ESignTemplateFileEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ESignTemplateFileEntryInfo item)
    {
        return removeObject(item);
    }
    public ESignTemplateFileEntryInfo get(int index)
    {
        return(ESignTemplateFileEntryInfo)getObject(index);
    }
    public ESignTemplateFileEntryInfo get(Object key)
    {
        return(ESignTemplateFileEntryInfo)getObject(key);
    }
    public void set(int index, ESignTemplateFileEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ESignTemplateFileEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ESignTemplateFileEntryInfo item)
    {
        return super.indexOf(item);
    }
}